Bug 136743

Summary: Backspace segfault
Product: [Fedora] Fedora Reporter: Warren Togami <wtogami>
Component: gtk2Assignee: Matthias Clasen <mclasen>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-21 14:06:33 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 130887    

Description Warren Togami 2004-10-21 21:58:05 EDT
Description of problem:
Backspace cauess gedit to segfault after commit and newline from
IIIMF.  If you commit without newline, Backspace does not cause a
crash.  Probably related to the newly introduced
"backspace-deletes-character" patches.

Backtrace was generated from '/usr/bin/gedit'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -156649792 (LWP 11140)]
0xf6fe97a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0  0xf6fe97a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0xf6fc83d3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x05feaf50 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  gtk_text_view_backspace (text_view=0x8503f08) at gtktextview.c:5169
#5  0x00d880ae in g_cclosure_marshal_VOID__VOID (closure=0x8500338,
    return_value=0xfee8c2b0, n_param_values=1, param_values=0x0,
    invocation_hint=0xfee8c188, marshal_data=0xf6e8abf2) at gmarshal.c:77
#6  0x00d706b2 in g_type_class_meta_marshal (closure=0x8500338,
    return_value=0x0, n_param_values=0, param_values=0x86235b0,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#7  0x00d70347 in g_closure_invoke (closure=0x8500338, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
#8  0x00d86576 in signal_emit_unlocked_R (node=0x8503cc8, detail=0,
    instance=0x8503f08, emission_return=0xfee8c2b0,
    instance_and_params=0x86235b0) at gsignal.c:2473
#9  0x00d87f87 in g_signal_emitv (instance_and_params=0x86235b0,
signal_id=1,
    detail=0, return_value=0x0) at gsignal.c:2106
#10 0xf6d337e3 in gtk_binding_entry_activate (entry=0x85060a0,
    object=0x8503f08) at gtkbindings.c:525
#11 0xf6d34a67 in binding_match_activate (pspec_list=0x0,
object=0x8503f08,
    path_length=11, path=0x8502348 "GtkTextView",
    path_reversed=0x8623460 "weiVtxeTktG") at gtkbindings.c:927
#12 0xf6d34cbe in gtk_bindings_activate_list (object=0x8503f08,
    entries=0x87a5128, is_release=0) at gtkbindings.c:1063
#13 0xf6d34f01 in gtk_bindings_activate_event (object=0x8503f08,
    event=0x84f0990) at gtkbindings.c:1138
#14 0xf6ee38f9 in gtk_widget_real_key_press_event (widget=0x0, event=0x0)
    at gtkwidget.c:3308
#15 0xf6e8a9ca in gtk_text_view_key_press_event (widget=0x8503f08,
    event=0x84f0990) at gtktextview.c:3828
#16 0xf6defe67 in _gtk_marshal_BOOLEAN__BOXED (closure=0x82459b8,
    return_value=0xfee8c6e0, n_param_values=2, param_values=0xfee8c830,
    invocation_hint=0xfee8c708, marshal_data=0xf6e8a83c) at
gtkmarshalers.c:82
#17 0x00d706b2 in g_type_class_meta_marshal (closure=0x82459b8,
    return_value=0x0, n_param_values=0, param_values=0xfee8c830,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#18 0x00d70347 in g_closure_invoke (closure=0x82459b8, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
#19 0x00d86576 in signal_emit_unlocked_R (node=0x82413b8, detail=0,
    instance=0x8503f08, emission_return=0xfee8c7d0,
    instance_and_params=0xfee8c830) at gsignal.c:2473
#20 0x00d87613 in g_signal_emit_valist (instance=0x8503f08, signal_id=0,
    detail=0, var_args=0xfee8c9c0 "ÈÉèþ\b?P\b") at gsignal.c:2204
#21 0x00d87c5a in g_signal_emit (instance=0x0, signal_id=0, detail=0)
    at gsignal.c:2238
#22 0xf6ee3a55 in gtk_widget_event_internal (widget=0x8503f08,
    event=0x84f0990) at gtkwidget.c:3564
#23 0xf6ef4126 in gtk_window_propagate_key_event (window=0x824d318,
    event=0x84f0990) at gtkwindow.c:4221
#24 0xf6ef8cdb in gtk_window_key_press_event (widget=0x824d318,
    event=0x84f0990) at gtkwindow.c:4251
#25 0x062b6636 in bonobo_window_get_accel_group ()
   from /usr/lib/libbonoboui-2.so.0
#26 0xf6defe67 in _gtk_marshal_BOOLEAN__BOXED (closure=0xfee8cde0,
    return_value=0xfee8cc90, n_param_values=2, param_values=0x84f0990,
    invocation_hint=0xfee8ccb8, marshal_data=0x62b65f8) at
gtkmarshalers.c:82
#27 0x00d706b2 in g_type_class_meta_marshal (closure=0x82459b8,
    return_value=0x0, n_param_values=0, param_values=0xfee8cde0,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
#28 0x00d70347 in g_closure_invoke (closure=0x82459b8, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
#29 0x00d86576 in signal_emit_unlocked_R (node=0x82413b8, detail=0,
    instance=0x824d318, emission_return=0xfee8cd80,
    instance_and_params=0xfee8cde0) at gsignal.c:2473
#30 0x00d87613 in g_signal_emit_valist (instance=0x824d318, signal_id=0,
    detail=0, var_args=0xfee8cf70 "xÏèþ\030Ó$\b") at gsignal.c:2204
#31 0x00d87c5a in g_signal_emit (instance=0x0, signal_id=0, detail=0)
    at gsignal.c:2238
#32 0xf6ee3a55 in gtk_widget_event_internal (widget=0x824d318,
    event=0x84f0990) at gtkwidget.c:3564
#33 0xf6dee27a in gtk_propagate_event (widget=0x8503f08, event=0x84f0990)
    at gtkmain.c:2319
#34 0xf6dee430 in gtk_main_do_event (event=0x84f0990) at gtkmain.c:1583
#35 0xf6cb4082 in gdk_event_dispatch (source=0x0, callback=0,
user_data=0x0)
    at gdkevents-x11.c:2184
#36 0x00ced74b in g_main_context_dispatch (context=0x821d690) at
gmain.c:1942
#37 0x00cef1d2 in g_main_context_iterate (context=0x821d690, block=1,
    dispatch=1, self=0x81ff780) at gmain.c:2573
#38 0x00cef47f in g_main_loop_run (loop=0x84eda80) at gmain.c:2777
#39 0xf6ded78e in gtk_main () at gtkmain.c:1173
#40 0x0805fe2a in main (argc=-18301216, argv=0xfee8d2a4) at gedit2.c:398

Thread 1 (Thread -156649792 (LWP 11140)):
#0  0xf6fe97a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0xf6fc83d3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x05feaf50 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  gtk_text_view_backspace (text_view=0x8503f08) at gtktextview.c:5169
    cluster_text = (gchar *) 0x87a41c0 "\n"
    attrs = (const PangoLogAttr *) 0x0
    offset = 0
    backspace_deletes_character = 0
    insert = {dummy1 = 0x85087a8, dummy2 = 0x87a4280, dummy3 = 0,
  dummy4 = 0, dummy5 = -1, dummy6 = -1, dummy7 = -1810888597,
  dummy8 = -314645518, dummy9 = 0x85088d8, dummy10 = 0x8508948,
dummy11 = 0,
  dummy12 = 0, dummy13 = 140654000, dummy14 = 0x84e3130}
    start = {dummy1 = 0x85087a8, dummy2 = 0x8508930, dummy3 = -1,
  dummy4 = 3, dummy5 = -1, dummy6 = -1, dummy7 = -1810888597,
  dummy8 = -314645518, dummy9 = 0x8502ee8, dummy10 = 0x8502ee8,
dummy11 = -1,
  dummy12 = 3, dummy13 = 140654000, dummy14 = 0x84e3130}
    end = {dummy1 = 0x85087a8, dummy2 = 0x87a4280, dummy3 = 0,
  dummy4 = -1, dummy5 = -1, dummy6 = -1, dummy7 = -1810888597,
  dummy8 = -314645518, dummy9 = 0x85088d8, dummy10 = 0x8508948,
dummy11 = 0,
  dummy12 = -1, dummy13 = 140654000, dummy14 = 0x84e3130}
#5  0x00d880ae in g_cclosure_marshal_VOID__VOID (closure=0x8500338,
    return_value=0xfee8c2b0, n_param_values=1, param_values=0x0,
    invocation_hint=0xfee8c188, marshal_data=0xf6e8abf2) at gmarshal.c:77
    callback = 0xfee8bee0
    data1 = 0x8503f08
    data2 = 0x0
    __PRETTY_FUNCTION__ = "g_cclosure_marshal_VOID__VOID"
#6  0x00d706b2 in g_type_class_meta_marshal (closure=0x8500338,
    return_value=0x0, n_param_values=0, param_values=0x86235b0,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
    class = (GTypeClass *) 0xfee8bee0
    callback = 0x0
#7  0x00d70347 in g_closure_invoke (closure=0x8500338, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
    marshal = 0xd70661 <g_type_class_meta_marshal>
    marshal_data = 0x1bc
    in_marshal = 0
    __PRETTY_FUNCTION__ = "g_closure_invoke"
#8  0x00d86576 in signal_emit_unlocked_R (node=0x8503cc8, detail=0,
    instance=0x8503f08, emission_return=0xfee8c2b0,
    instance_and_params=0x86235b0) at gsignal.c:2473
    i = 4276666760
    accumulator = (SignalAccumulator *) 0x0
    emission = {next = 0xfee8c700, instance = 0x8503f08, ihint = {
    signal_id = 244, detail = 0, run_type = G_SIGNAL_RUN_LAST},
  state = EMISSION_RUN, chain_type = 139469744}
    handler_list = (Handler *) 0x0
    return_accu = (GValue *) 0xfee8c2b0
    accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0,
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0,
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer
= 0x0}}}
    signal_id = 244
    max_sequential_handler_number = 1194
    return_value_altered = 0
#9  0x00d87f87 in g_signal_emitv (instance_and_params=0x86235b0,
signal_id=1,
    detail=0, return_value=0x0) at gsignal.c:2106
    instance = 0x8503f08
    __PRETTY_FUNCTION__ = "g_signal_emitv"
#10 0xf6d337e3 in gtk_binding_entry_activate (entry=0x85060a0,
    object=0x8503f08) at gtkbindings.c:525
    params = (GValue *) 0x86235b0
    return_val = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0,
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0,
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer
= 0x0}}}
    accelerator = (gchar *) 0x0
    query = {signal_id = 244, signal_name = 0x8500350 "backspace",
  itype = 139469520, signal_flags = 34, return_type = 4, n_params = 0,
  param_types = 0x0}
    signal_id = 244
    sig = (GtkBindingSignal *) 0x8506088
    old_emission = 0
    handled = 0
    i = 0
#11 0xf6d34a67 in binding_match_activate (pspec_list=0x0,
object=0x8503f08,
    path_length=11, path=0x8502348 "GtkTextView",
    path_reversed=0x8623460 "weiVtxeTktG") at gtkbindings.c:927
    binding_set = (GtkBindingSet *) 0x0
    slist = (GSList *) 0x860d868
#12 0xf6d34cbe in gtk_bindings_activate_list (object=0x8503f08,
    entries=0x87a5128, is_release=0) at gtkbindings.c:1063
    path_length = 0
    path = (const gchar *) 0x8502348 "GtkTextView"
    path_reversed = (gchar *) 0x8623460 "weiVtxeTktG"
    patterns = (GSList *) 0x860d868
    class_type = 139469520
    handled = 139469652
#13 0xf6d34f01 in gtk_bindings_activate_event (object=0x8503f08,
    event=0x84f0990) at gtkbindings.c:1138
    __t = 0
    __r = 0
    entries = (GSList *) 0x87a5128
    display = (GdkDisplay *) 0x0
    key_hash = (GtkKeyHash *) 0x8625298
    handled = 140661400
    __PRETTY_FUNCTION__ = "gtk_bindings_activate_event"
#14 0xf6ee38f9 in gtk_widget_real_key_press_event (widget=0x0, event=0x0)
    at gtkwidget.c:3308
No locals.
#15 0xf6e8a9ca in gtk_text_view_key_press_event (widget=0x8503f08,
    event=0x84f0990) at gtktextview.c:3828
    retval = 1
    obscure = 0
    insert = (GtkTextMark *) 0xfee8c450
    iter = {dummy1 = 0x85087a8, dummy2 = 0x87a4280, dummy3 = 0,
  dummy4 = -1, dummy5 = -1, dummy6 = -1, dummy7 = -1810888597,
  dummy8 = -314645518, dummy9 = 0x85088d8, dummy10 = 0x8508948,
dummy11 = 0,
  dummy12 = -1, dummy13 = -18298832, dummy14 = 0x87a4280}
    can_insert = 0
#16 0xf6defe67 in _gtk_marshal_BOOLEAN__BOXED (closure=0x82459b8,
    return_value=0xfee8c6e0, n_param_values=2, param_values=0xfee8c830,
    invocation_hint=0xfee8c708, marshal_data=0xf6e8a83c) at
gtkmarshalers.c:82
    callback = 0xfee8bee0
    data1 = 0x8503f08
    data2 = 0x0
    v_return = 0
    __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#17 0x00d706b2 in g_type_class_meta_marshal (closure=0x82459b8,
    return_value=0x0, n_param_values=0, param_values=0xfee8c830,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
    class = (GTypeClass *) 0xfee8bee0
    callback = 0x0
#18 0x00d70347 in g_closure_invoke (closure=0x82459b8, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
    marshal = 0xd70661 <g_type_class_meta_marshal>
    marshal_data = 0xcc
    in_marshal = 1
    __PRETTY_FUNCTION__ = "g_closure_invoke"
#19 0x00d86576 in signal_emit_unlocked_R (node=0x82413b8, detail=0,
    instance=0x8503f08, emission_return=0xfee8c7d0,
    instance_and_params=0xfee8c830) at gsignal.c:2473
    i = 4276668168
    accumulator = (SignalAccumulator *) 0x8245ab0
    emission = {next = 0xfee8ccb0, instance = 0x8503f08, ihint = {
    signal_id = 61, detail = 0, run_type = G_SIGNAL_RUN_LAST},
  state = EMISSION_RUN, chain_type = 139469744}
    handler_list = (Handler *) 0x8508518
    return_accu = (GValue *) 0xfee8c6e0
    accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0,
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0,
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer
= 0x0}}}
    signal_id = 61
    max_sequential_handler_number = 1194
    return_value_altered = 1
#20 0x00d87613 in g_signal_emit_valist (instance=0x8503f08, signal_id=0,
    detail=0, var_args=0xfee8c9c0 "ÈÉèþ\b?P\b") at gsignal.c:2204
    _flags = 0
    _value_type = 0
    _vtable = (GTypeValueTable *) 0x81f99a8
    _cvalues = {{v_int = 139397520, v_long = 139397520,
    v_int64 = 139397520, v_double = 6.8871525747468082e-316,
    v_pointer = 0x84f0990}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}}
    _lcopy_format = (gchar *) 0x81f99cb ""
    _n_values = 0
    return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0,
      v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0,
      v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0,
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0,
      v_pointer = 0x0}}}
    rtype = 0
    instance_and_params = (GValue *) 0xfee8c830
    stack_values = {{g_type = 139469744, data = {{v_int = 139476744,
        v_uint = 139476744, v_long = 139476744, v_ulong = 139476744,
        v_int64 = 139476744, v_uint64 = 139476744, v_float =
6.26668161e-34,
        v_double = 6.8910667604194209e-316, v_pointer = 0x8503f08}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0,
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 136592640, data = {{v_int = 139397520, v_uint = 139397520,
        v_long = 139397520, v_ulong = 139397520, v_int64 = 139397520,
        v_uint64 = 139397520, v_float = 6.23030373e-34,
        v_double = 6.8871525747468082e-316, v_pointer = 0x84f0990}, {
        v_int = 134217728, v_uint = 134217728, v_long = 134217728,
        v_ulong = 134217728, v_int64 = 134217728, v_uint64 = 134217728,
        v_float = 3.85185989e-34, v_double = 6.631236846766476e-316,
        v_pointer = 0x8000000}}}, {g_type = 4, data = {{v_int = 14293596,
        v_uint = 14293596, v_long = 14293596, v_ulong = 14293596,
        v_int64 = -78591029554832804, v_uint64 = 18368153044154718812,
        v_float = 2.00295941e-38, v_double = -2.1248936551742851e+303,
        v_pointer = 0xda1a5c}, {v_int = -18298380, v_uint = 4276668916,
        v_long = -18298380, v_ulong = 4276668916,
        v_int64 = -78592571480684044, v_uint64 = 18368151502228867572,
        v_float = -1.54714748e+38, v_double = -2.1244240754367029e+303,
        v_pointer = 0xfee8c9f4}}}, {g_type = 14252454, data = {{
        v_int = 136636072, v_uint = 136636072, v_long = 136636072,
        v_ulong = 136636072, v_int64 = 61390527498872488,
        v_uint64 = 61390527498872488, v_float = 4.96230899e-34,
        v_double = 1.4868743434972467e-304, v_pointer = 0x824e6a8}, {
        v_int = -18298696, v_uint = 4276668600, v_long = -18298696,
        v_ulong = 4276668600, v_int64 = 61164139617765560,
        v_uint64 = 61164139617765560, v_float = -1.54711543e+38,
        v_double = 1.4410603890643351e-304, v_pointer = 0xfee8c8b8}}}, {
    g_type = 140643888, data = {{v_int = -156053983, v_uint = 4138913313,
        v_long = -156053983, v_ulong = 4138913313, v_int64 = 4138913313,
        v_uint64 = 4138913313, v_float = -1.81330006e+33,
        v_double = 2.0448948790682784e-314, v_pointer = 0xf6b2ce21}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0,
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 64, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
        v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0,
        v_pointer = 0x0}, {v_int = 17, v_uint = 17, v_long = 17,
        v_ulong = 17, v_int64 = 17, v_uint64 = 17, v_float =
2.38220739e-44,
        v_double = 8.3991159793011913e-323, v_pointer = 0x11}}}, {
    g_type = 136289976, data = {{v_int = -151451720, v_uint = 4143515576,
        v_long = -151451720, v_ulong = 4143515576, v_int64 = 931856451512,
        v_uint64 = 931856451512, v_float = -2.52546577e+33,
        v_double = 4.6039825954760852e-312, v_pointer = 0xf6f907b8}, {
        v_int = 64, v_uint = 64, v_long = 64, v_ulong = 64,
        v_int64 = -78591613684678592, v_uint64 = 18368152460024873024,
        v_float = 8.96831017e-44, v_double = -2.1247157636502028e+303,
        v_pointer = 0x40}}}, {g_type = 16, data = {{v_int = -155258892,
        v_uint = 4139708404, v_long = -155258892, v_ulong = 4139708404,
        v_int64 = -666805419594813452, v_uint64 = 17779938654114738164,
        v_float = -1.93633443e+33, v_double = -9.7713753217674729e+263,
        v_pointer = 0xf6beeff4}, {v_int = -16, v_uint = 4294967280,
        v_long = -16, v_ulong = 4294967280, v_int64 =
-2240319911563886608,
        v_uint64 = 16206424162145665008, v_float = -nan(0x7ffff0),
        v_double = -6.8057069366193502e+158, v_pointer = 0xfffffff0}}}, {
    g_type = 2, data = {{v_int = -155252736, v_uint = 4139714560,
        v_long = -155252736, v_ulong = 4139714560, v_int64 = 8434681856,
        v_uint64 = 8434681856, v_float = -1.93728703e+33,
        v_double = 4.1672865386500841e-314, v_pointer = 0xf6bf0800}, {
        v_int = -154270960, v_uint = 4140696336, v_long = -154270960,
        v_ulong = 4140696336, v_int64 = 603974213863080720,
        v_uint64 = 603974213863080720, v_float = -2.08920951e+33,
        v_double = 2.687508605624917e-268, v_pointer = 0xf6ce0310}}}, {
    g_type = 140623608, data = {{v_int = -18298616, v_uint = 4276668680,
        v_long = -18298616, v_ulong = 4276668680,
        v_int64 = -663426349642757880, v_uint64 = 17783317724066793736,
        v_float = -1.54712354e+38, v_double = -1.7026711790033543e+264,
        v_pointer = 0xfee8c908}, {v_int = 140623704, v_uint = 140623704,
        v_long = 140623704, v_ulong = 140623704,
        v_int64 = 585806223323021144, v_uint64 = 585806223323021144,
        v_float = 6.79333981e-34, v_double = 1.628048532811791e-269,
        v_pointer = 0x861bf58}}}, {g_type = 1, data = {{v_int =
-154466028,
        v_uint = 4140501268, v_long = -154466028, v_ulong = 4140501268,
        v_int64 = -662588723782022892, v_uint64 = 17784155349927528724,
        v_float = -2.0590242e+33, v_double = -1.8900827926378794e+264,
        v_pointer = 0xf6cb0914}, {v_int = 140623704, v_uint = 140623704,
        v_long = 140623704, v_ulong = 140623704,
        v_int64 = -78591750983008424, v_uint64 = 18368152322726543192,
        v_float = 6.79333981e-34, v_double = -2.1246739506709073e+303,
        v_pointer = 0x861bf58}}}, {g_type = 4140347424, data = {{
        v_int = 140623704, v_uint = 140623704, v_long = 140623704,
        v_ulong = 140623704, v_int64 = 585795365645696856,
        v_uint64 = 585795365645696856, v_float = 6.79333981e-34,
        v_double = 1.624397707706042e-269, v_pointer = 0x861bf58}, {
        v_int = -18298488, v_uint = 4276668808, v_long = -18298488,
        v_ulong = 4276668808, v_int64 = -663211360759789176,
        v_uint64 = 17783532712949762440, v_float = -1.54713653e+38,
        v_double = -1.7507731005883619e+264, v_pointer = 0xfee8c988}}}, {
    g_type = 139409768, data = {{v_int = 139408720, v_uint = 139408720,
        v_long = 139408720, v_ulong = 139408720,
        v_int64 = -78591613545269936, v_uint64 = 18368152460164281680,
        v_float = 6.23544652e-34, v_double = -2.124715806105863e+303,
        v_pointer = 0x84f3550}, {v_int = -523718678, v_uint = 3771248618,
        v_long = -523718678, v_ulong = 3771248618, v_int64 = 8066215914,
        v_uint64 = 8066215914, v_float = -1.15688274e+20,
        v_double = 3.9852401750453508e-314, v_pointer = 0xe0c8afea}}}, {
    g_type = 140623608, data = {{v_int = 1, v_uint = 1, v_long = 1,
        v_ulong = 1, v_int64 = -662588727922524159,
        v_uint64 = 17784155345787027457, v_float = 1.40129846e-45,
        v_double = -1.8900818662361766e+264, v_pointer = 0x1}, {
        v_int = 136390224, v_uint = 136390224, v_long = 136390224,
        v_ulong = 136390224, v_int64 = 603973797541914192,
        v_uint64 = 603973797541914192, v_float = 4.84942113e-34,
        v_double = 2.6872846290639757e-268, v_pointer = 0x8212650}}}, {
    g_type = 4276668792, data = {{v_int = -154400965, v_uint = 4140566331,
        v_long = -154400965, v_ulong = 4140566331,
        v_int64 = 585791555714680635, v_uint64 = 585791555714680635,
        v_float = -2.06909221e+33, v_double = 1.6231166425767553e-269,
        v_pointer = 0xf6cc073b}, {v_int = 136381264, v_uint = 136381264,
        v_long = 136381264, v_ulong = 136381264, v_int64 = 136381264,
        v_uint64 = 136381264, v_float = 4.8453069e-34,
        v_double = 6.7381297278805547e-316, v_pointer = 0x8210350}}}, {
    g_type = 3774873599, data = {{v_int = 0, v_uint = 0, v_long = 0,
        v_ulong = 0, v_int64 = 587243250520162304,
        v_uint64 = 587243250520162304, v_float = 0,
        v_double = 2.1112398095714493e-269, v_pointer = 0x0}, {v_int = 1,
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = 61390527362236417,
        v_uint64 = 61390527362236417, v_float = 1.40129846e-45,
        v_double = 1.4868743158463023e-304, v_pointer = 0x1}}}}
    free_me = (GValue *) 0x0
    signal_return_type = 0
    param_values = (GValue *) 0xfee8c844
    i = 1
    n_params = 1
    __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#21 0x00d87c5a in g_signal_emit (instance=0x0, signal_id=0, detail=0)
    at gsignal.c:2238
No locals.
#22 0xf6ee3a55 in gtk_widget_event_internal (widget=0x8503f08,
    event=0x84f0990) at gtkwidget.c:3564
    signal_num = 0
    return_val = 0
#23 0xf6ef4126 in gtk_window_propagate_key_event (window=0x824d318,
    event=0x84f0990) at gtkwindow.c:4221
    parent = (GtkWidget *) 0x84f0990
    handled = 0
    focus = (GtkWidget *) 0x8503f08
    __PRETTY_FUNCTION__ = "gtk_window_propagate_key_event"
#24 0xf6ef8cdb in gtk_window_key_press_event (widget=0x824d318,
    event=0x84f0990) at gtkwindow.c:4251
    handled = 0
#25 0x062b6636 in bonobo_window_get_accel_group ()
   from /usr/lib/libbonoboui-2.so.0
No symbol table info available.
#26 0xf6defe67 in _gtk_marshal_BOOLEAN__BOXED (closure=0xfee8cde0,
    return_value=0xfee8cc90, n_param_values=2, param_values=0x84f0990,
    invocation_hint=0xfee8ccb8, marshal_data=0x62b65f8) at
gtkmarshalers.c:82
    callback = 0xfee8bee0
    data1 = 0x824d318
    data2 = 0x0
    v_return = 0
    __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
#27 0x00d706b2 in g_type_class_meta_marshal (closure=0x82459b8,
    return_value=0x0, n_param_values=0, param_values=0xfee8cde0,
    invocation_hint=0x0, marshal_data=0x0) at gclosure.c:514
    class = (GTypeClass *) 0xfee8bee0
    callback = 0x0
#28 0x00d70347 in g_closure_invoke (closure=0x82459b8, return_value=0x0,
    n_param_values=0, param_values=0x0, invocation_hint=0x0) at
gclosure.c:437
    marshal = 0xd70661 <g_type_class_meta_marshal>
    marshal_data = 0xcc
    in_marshal = 0
    __PRETTY_FUNCTION__ = "g_closure_invoke"
#29 0x00d86576 in signal_emit_unlocked_R (node=0x82413b8, detail=0,
    instance=0x824d318, emission_return=0xfee8cd80,
    instance_and_params=0xfee8cde0) at gsignal.c:2473
    i = 4276669624
    accumulator = (SignalAccumulator *) 0x8245ab0
    emission = {next = 0x0, instance = 0x824d318, ihint = {
    signal_id = 61, detail = 0, run_type = G_SIGNAL_RUN_LAST},
  state = EMISSION_RUN, chain_type = 136580824}
    handler_list = (Handler *) 0x8202458
    return_accu = (GValue *) 0xfee8cc90
    accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0,
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0,
      v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0,
      v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer
= 0x0}}}
    signal_id = 61
    max_sequential_handler_number = 1194
    return_value_altered = 1
#30 0x00d87613 in g_signal_emit_valist (instance=0x824d318, signal_id=0,
    detail=0, var_args=0xfee8cf70 "xÏèþ\030Ó$\b") at gsignal.c:2204
    _flags = 0
    _value_type = 0
    _vtable = (GTypeValueTable *) 0x81f99a8
    _cvalues = {{v_int = 139397520, v_long = 139397520,
    v_int64 = 139397520, v_double = 6.8871525747468082e-316,
    v_pointer = 0x84f0990}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}, {v_int = 0, v_long = 0, v_int64 = 0,
    v_double = 0, v_pointer = 0x0}}
    _lcopy_format = (gchar *) 0x81f99cb ""
    _n_values = 0
    return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0,
      v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0,
      v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0,
      v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0,
      v_pointer = 0x0}}}
    rtype = 0
    instance_and_params = (GValue *) 0xfee8cde0
    stack_values = {{g_type = 136580824, data = {{v_int = 136631064,
        v_uint = 136631064, v_long = 136631064, v_ulong = 136631064,
        v_int64 = 136631064, v_uint64 = 136631064, v_float =
4.96000943e-34,
        v_double = 6.750471487713669e-316, v_pointer = 0x824d318}, {
        v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0,
        v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}, {
    g_type = 136592640, data = {{v_int = 139397520, v_uint = 139397520,
        v_long = 139397520, v_ulong = 139397520, v_int64 = 139397520,
        v_uint64 = 139397520, v_float = 6.23030373e-34,
        v_double = 6.8871525747468082e-316, v_pointer = 0x84f0990}, {
        v_int = 134217728, v_uint = 134217728, v_long = 134217728,
        v_ulong = 134217728, v_int64 = 134217728, v_uint64 = 134217728,
        v_float = 3.85185989e-34, v_double = 6.631236846766476e-316,
        v_pointer = 0x8000000}}}, {g_type = 4140507249, data = {{
        v_int = 14100446, v_uint = 14100446, v_long = 14100446,
        v_ulong = 14100446, v_int64 = -662588727908423714,
        v_uint64 = 17784155345801127902, v_float = 1.97589333e-38,
        v_double = -1.8900818693910304e+264, v_pointer = 0xd727de}, {
        v_int = 139397368, v_uint = 139397368, v_long = 139397368,
        v_ulong = 139397368, v_int64 = -78584947756037896,
        v_uint64 = 18368159125953513720, v_float = 6.23023394e-34,
        v_double = -2.1267458126433642e+303, v_pointer = 0x84f08f8}}}, {
    g_type = 4140508107, data = {{v_int = 139364280, v_uint = 139364280,
        v_long = 139364280, v_ulong = 139364280,
        v_int64 = -78585669310576712, v_uint64 = 18368158404398974904,
        v_float = 6.21504067e-34, v_double = -2.1265260696572045e+303,
        v_pointer = 0x84e87b8}, {v_int = -18297148, v_uint = 4276670148,
        v_long = -18297148, v_ulong = 4276670148,
        v_int64 = -666805419457851708, v_uint64 = 17779938654251699908,
        v_float = -1.54727242e+38, v_double = -9.7713754749875599e+263,
        v_pointer = 0xfee8cec4}}}, {g_type = 4139708404, data = {{
        v_int = -155252736, v_uint = 4139714560, v_long = -155252736,
        v_ulong = 4139714560, v_int64 = 604104334191298560,
        v_uint64 = 604104334191298560, v_float = -1.93728703e+33,
        v_double = 2.7575120211750686e-268, v_pointer = 0xf6bf0800}, {
        v_int = -18297256, v_uint = 4276670040, v_long = -18297256,
        v_ulong = 4276670040, v_int64 = -670239494919106984,
        v_uint64 = 17776504578790444632, v_float = -1.54726147e+38,
        v_double = -5.9296505849999649e+263, v_pointer = 0xfee8ce58}}}, {
    g_type = 4139714560, data = {{v_int = 140654000, v_uint = 140654000,
        v_long = 140654000, v_ulong = 140654000, v_int64 =
59744867833755056,
        v_uint64 = 59744867833755056, v_float = 6.80725105e-34,
        v_double = 1.1538433678940944e-304, v_pointer = 0x86235b0}, {
        v_int = 140654000, v_uint = 140654000, v_long = 140654000,
        v_ulong = 140654000, v_int64 = 603974622179898800,
        v_uint64 = 603974622179898800, v_float = 6.80725105e-34,
        v_double = 2.6877282759276565e-268, v_pointer = 0x86235b0}}}, {
    g_type = 4276670056, data = {{v_int = 13581505, v_uint = 13581505,
        v_long = 13581505, v_ulong = 13581505, v_int64 =
604104330065165505,
        v_uint64 = 604104330065165505, v_float = 1.90317421e-38,
        v_double = 2.7575098013573751e-268, v_pointer = 0xcf3cc1}, {
        v_int = -156053983, v_uint = 4138913313, v_long = -156053983,
        v_ulong = 4138913313, v_int64 = -78585562231812575,
        v_uint64 = 18368158511477739041, v_float = -1.81330006e+33,
        v_double = -2.1265586795378441e+303, v_pointer = 0xf6b2ce21}}}, {
    g_type = 4140433661, data = {{v_int = 140654000, v_uint = 140654000,
        v_long = 140654000, v_ulong = 140654000, v_int64 = 140654000,
        v_uint64 = 140654000, v_float = 6.80725105e-34,
        v_double = 6.9492309350154691e-316, v_pointer = 0x86235b0}, {
        v_int = 140660080, v_uint = 140660080, v_long = 140660080,
        v_ulong = 140660080, v_int64 = -2305843009073033872,
        v_uint64 = 16140901064636517744, v_float = 6.81004285e-34,
        v_double = -2.681561669741228e+154, v_pointer = 0x8624d70}}}, {
    g_type = 2, data = {{v_int = 139364200, v_uint = 139364200,
        v_long = 139364200, v_ulong = 139364200, v_int64 = 4434331496,
        v_uint64 = 4434331496, v_float = 6.21500394e-34,
        v_double = 2.190850854445421e-314, v_pointer = 0x84e8768}, {
        v_int = -154270960, v_uint = 4140696336, v_long = -154270960,
        v_ulong = 4140696336, v_int64 = 603974213863080720,
        v_uint64 = 603974213863080720, v_float = -2.08920951e+33,
        v_double = 2.687508605624917e-268, v_pointer = 0xf6ce0310}}}, {
    g_type = 140623608, data = {{v_int = -18297160, v_uint = 4276670136,
        v_long = -18297160, v_ulong = 4276670136,
        v_int64 = -663426349642756424, v_uint64 = 17783317724066795192,
        v_float = -1.5472712e+38, v_double = -1.7026711790036801e+264,
        v_pointer = 0xfee8ceb8}, {v_int = 140623704, v_uint = 140623704,
        v_long = 140623704, v_ulong = 140623704,
        v_int64 = 585806223323021144, v_uint64 = 585806223323021144,
        v_float = 6.79333981e-34, v_double = 1.628048532811791e-269,
        v_pointer = 0x861bf58}}}, {g_type = 1, data = {{v_int =
-154466028,
        v_uint = 4140501268, v_long = -154466028, v_ulong = 4140501268,
        v_int64 = -662588723782022892, v_uint64 = 17784155349927528724,
        v_float = -2.0590242e+33, v_double = -1.8900827926378794e+264,
        v_pointer = 0xf6cb0914}, {v_int = 140623704, v_uint = 140623704,
        v_long = 140623704, v_ulong = 140623704,
        v_int64 = -78585497510625448, v_uint64 = 18368158576198926168,
        v_float = 6.79333981e-34, v_double = -2.126578389796961e+303,
        v_pointer = 0x861bf58}}}, {g_type = 4140347424, data = {{
        v_int = 140623704, v_uint = 140623704, v_long = 140623704,
        v_ulong = 140623704, v_int64 = 585795365645696856,
        v_uint64 = 585795365645696856, v_float = 6.79333981e-34,
        v_double = 1.624397707706042e-269, v_pointer = 0x861bf58}, {
        v_int = -18297080, v_uint = 4276670216, v_long = -18297080,
        v_ulong = 4276670216, v_int64 = 58059363594063624,
        v_uint64 = 58059363594063624, v_float = -1.54727931e+38,
        v_double = 8.6206966326345448e-305, v_pointer = 0xfee8cf08}}}, {
    g_type = 139397368, data = {{v_int = 0, v_uint = 0, v_long = 0,
        v_ulong = 0, v_int64 = 598707136708476928,
        v_uint64 = 598707136708476928, v_float = 0,
        v_double = 1.1749140810892759e-268, v_pointer = 0x0}, {
        v_int = -523718678, v_uint = 3771248618, v_long = -523718678,
        v_ulong = 3771248618, v_int64 = 8066215914, v_uint64 = 8066215914,
        v_float = -1.15688274e+20, v_double = 3.9852401750453508e-314,
        v_pointer = 0xe0c8afea}}}, {g_type = 140623608, data = {{v_int
= 1,
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 =
-662588727922524159,
        v_uint64 = 17784155345787027457, v_float = 1.40129846e-45,
        v_double = -1.8900818662361766e+264, v_pointer = 0x1}, {
        v_int = 136390224, v_uint = 136390224, v_long = 136390224,
        v_ulong = 136390224, v_int64 = 603973797541914192,
        v_uint64 = 603973797541914192, v_float = 4.84942113e-34,
        v_double = 2.6872846290639757e-268, v_pointer = 0x8212650}}}, {
    g_type = 4276670248, data = {{v_int = -154400965, v_uint = 4140566331,
        v_long = -154400965, v_ulong = 4140566331,
        v_int64 = 585791555714680635, v_uint64 = 585791555714680635,
        v_float = -2.06909221e+33, v_double = 1.6231166425767553e-269,
        v_pointer = 0xf6cc073b}, {v_int = 136381264, v_uint = 136381264,
        v_long = 136381264, v_ulong = 136381264, v_int64 = 4431348560,
        v_uint64 = 4431348560, v_float = 4.8453069e-34,
        v_double = 2.1893770882440779e-314, v_pointer = 0x8210350}}}, {
    g_type = 3771402516, data = {{v_int = 0, v_uint = 0, v_long = 0,
        v_ulong = 0, v_int64 = 603974209722384384,
        v_uint64 = 603974209722384384, v_float = 0,
        v_double = 2.6875063779723262e-268, v_pointer = 0x0}, {v_int = 1,
        v_uint = 1, v_long = 1, v_ulong = 1, v_int64 = 61390527362236417,
        v_uint64 = 61390527362236417, v_float = 1.40129846e-45,
        v_double = 1.4868743158463023e-304, v_pointer = 0x1}}}}
    free_me = (GValue *) 0x0
    signal_return_type = 0
    param_values = (GValue *) 0xfee8cdf4
    i = 1
    n_params = 1
    __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#31 0x00d87c5a in g_signal_emit (instance=0x0, signal_id=0, detail=0)
    at gsignal.c:2238
No locals.
#32 0xf6ee3a55 in gtk_widget_event_internal (widget=0x824d318,
    event=0x84f0990) at gtkwidget.c:3564
    signal_num = 0
    return_val = 0
#33 0xf6dee27a in gtk_propagate_event (widget=0x8503f08, event=0x84f0990)
    at gtkmain.c:2319
    window = (GtkWidget *) 0x824d318
    handled_event = 139476744
    __PRETTY_FUNCTION__ = "gtk_propagate_event"
#34 0xf6dee430 in gtk_main_do_event (event=0x84f0990) at gtkmain.c:1583
    event_widget = (GtkWidget *) 0x8503f08
    grab_widget = (GtkWidget *) 0x8503f08
    window_group = (GtkWindowGroup *) 0x84f0758
    next_event = (GdkEvent *) 0xfee8bee0
    tmp_list = (GList *) 0x84f0758
    __PRETTY_FUNCTION__ = "gtk_main_do_event"
#35 0xf6cb4082 in gdk_event_dispatch (source=0x0, callback=0,
user_data=0x0)
    at gdkevents-x11.c:2184
    display = (GdkDisplay *) 0x84f0990
    event = (GdkEvent *) 0x84f0990
#36 0x00ced74b in g_main_context_dispatch (context=0x821d690) at
gmain.c:1942
No locals.
#37 0x00cef1d2 in g_main_context_iterate (context=0x821d690, block=1,
    dispatch=1, self=0x81ff780) at gmain.c:2573
    got_ownership = 0
    max_priority = 0
    timeout = 0
    some_ready = 1
    nfds = 11
    allocated_nfds = 1
    fds = (GPollFD *) 0x84f26a0
    __PRETTY_FUNCTION__ = "g_main_context_iterate"
#38 0x00cef47f in g_main_loop_run (loop=0x84eda80) at gmain.c:2777
    got_ownership = -151041552
    self = (GThread *) 0x81ff780
    __PRETTY_FUNCTION__ = "g_main_loop_run"
#39 0xf6ded78e in gtk_main () at gtkmain.c:1173
    tmp_list = (GList *) 0x0
    functions = (GList *) 0x824abdc
    init = (GtkInitFunction *) 0x82437b0
    loop = (GMainLoop *) 0x84eda80
#40 0x0805fe2a in main (argc=-18301216, argv=0xfee8d2a4) at gedit2.c:398
    program = (GnomeProgram *) 0x81ff808
    restored = 0
    factory = 0x0



Version-Release number of selected component (if applicable):
gtk2-2.4.13-2
gedit-2.8.1-1

How reproducible:
Every time.

Steps to Reproduce:
1. Run gedit
2. Activate cannaLE
3. nihongo
4. convert to kanji
5. ENTER (commit)
6. ENTER (newline)
7. Backspace
      
Actual results:
Crash.

Expected results:
Backspace.
Comment 1 Warren Togami 2004-10-22 00:54:32 EDT
This seems to happen with plain ASCII too.
Comment 2 Dan Williams 2004-10-22 13:10:21 EDT
Dupe of 136840 which has more specific info about the bug (its a
general backspace-at-end-of-buffer bug, not i18n related)

*** This bug has been marked as a duplicate of 136840 ***
Comment 3 Red Hat Bugzilla 2006-02-21 14:06:33 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.